CocoaPods使用

释放双眼,带上耳机,听听看~!

1.CocoaPods安装

  • 查看源
    gem sources -l
  • 删除ruby源
    gem sources –remove https://rubygems.org/
  • 添加ruby源
    gem sources -a https://gems.ruby-china.org/
  • 如果gem太老,更新gem
    sudo gem update –system
  • 初始化CocoaPods
    sudo gem install cocoapods
  • 使用 CocoaPods 的镜像索引
    pod repo remove master
    pod repo add master https://gitcafe.com/akuandev/Specs.git
    pod repo update
  • 更新索引文件
    pod setup

2.CocoaPod使用

  • 生成Podfile文件
    cd 工程根目录
    pod init
  • 添加依赖库
target 'NOT' do
# Uncomment the next line if you're using Swift or would like to use dynamic frameworks
# use_frameworks!
# Pods for NOT
pod 'GDataXMLNode2', '~> 2.0.1'
pod 'Masonry'
pod 'MJExtension'
pod 'MBProgressHUD'
pod 'YYCache', '~> 1.0.4'
pod 'AFNetworking', '~> 3.2.1'
pod 'GPUImage'
pod 'SDWebImage'
pod 'SQLite.swift', '~> 0.11.6'
end

如果使用swift库需要加上user_framworks

  • 初始化三方库
    第一次使用时
    pod install
    后续添加或删除依赖库
    pod update
    如果更新过程中不想不更新 podspec
    pod install –no-repo-update
    pod update –no-repo-update
  • 其他
    三方库查询
    pod search 三方库名称

人已赞赏
个人中心
购物车
优惠劵
今日签到
有新私信 私信列表
有新消息 消息中心
搜索